org.restlet.ext.simple

## Class HttpsServerHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Server>
      - - org.restlet.engine.ServerHelper
        - - org.restlet.engine.http.HttpServerHelper
          - - org.restlet.ext.simple.SimpleServerHelper
            - - org.restlet.ext.simple.HttpsServerHelper

    public class HttpsServerHelper
    extends SimpleServerHelper

Simple HTTP server connector. Here is the list of additional parameters that are supported. They should be set in the Server's context before it is started:

Parameter name | Value type | Default value | Description
--- | --- | --- | ---
sslContextFactory | String | null | Let you specify a `SslContextFactory` instance for a more complete and flexible SSL context setting. If this parameter is set, it takes Precedence over the other SSL parameters below.
sslContextFactory | String | null | Let you specify a `SslContextFactory` class name as a parameter, or an instance as an attribute for a more complete and flexible SSL context setting. If set, it takes precedence over the other SSL parameters below.
keystorePath | String | ${user.home}/.keystore | SSL keystore path.
keystorePassword | String |  | SSL keystore password.
keystoreType | String | JKS | SSL keystore type
keyPassword | String | ${keystorePassword} | SSL key password.
certAlgorithm | String | SunX509 | SSL certificate algorithm.
enabledCipherSuites | String | null | Whitespace-separated list of enabled cipher suites and/or can be specified multiple times.
disabledCipherSuites | String | null | Whitespace-separated list of disabled cipher suites and/or can be specified multiple times. It affects the cipher suites manually enabled or the default ones.
needClientAuthentication | boolean | false | Indicates if we require client certificate authentication.
sslProtocol | String | TLS | SSL protocol.
wantClientAuthentication | boolean | false | Indicates if we would like client certificate authentication (only for the BIO connector type).

Author:
  Lars Heuer, Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`HttpsServerHelper(Server server)` Constructor.

### Method Summary

Methods
`java.lang.String` `getCertAlgorithm()` Deprecated.
`java.lang.String` `getKeyPassword()` Deprecated.
`java.lang.String` `getKeystorePassword()` Deprecated.
`java.lang.String` `getKeystorePath()` Deprecated.
`java.lang.String` `getKeystoreType()` Deprecated.
`javax.net.ssl.SSLContext` `getSslContext()` Gets the SSL context used by this server.
`java.lang.String` `getSslProtocol()` Deprecated.
`boolean` `isNeedClientAuthentication()` Indicates if we require client certificate authentication.
`boolean` `isWantClientAuthentication()` Indicates if we would like client certificate authentication.
`void` `setSslContext(javax.net.ssl.SSLContext sslContext)` Sets the SSL context for the server.
`void` `start()` Starts the Restlet.

### Methods inherited from class org.restlet.ext.simple.SimpleServerHelper

`getAddress, getConnection, getContainerServer, getDefaultThreads, isConfidential, setAddress, setConfidential, setConnection, setContainerServer, stop`

### Methods inherited from class org.restlet.engine.http.HttpServerHelper

`getAdapter, handle, setAdapter`

### Methods inherited from class org.restlet.engine.ServerHelper

`handle, setEphemeralPort, setEphemeralPort`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpsServerHelper

    public HttpsServerHelper(Server server)

Constructor.

Parameters:
  `server` - The server to help.

### Method Detail

#### getCertAlgorithm

    @Deprecated
    public java.lang.String getCertAlgorithm()

Deprecated.
Returns the SSL certificate algorithm.

Returns:
  The SSL certificate algorithm.

#### getKeyPassword

    @Deprecated
    public java.lang.String getKeyPassword()

Deprecated.
Returns the SSL key password.

Returns:
  The SSL key password.

#### getKeystorePassword

    @Deprecated
    public java.lang.String getKeystorePassword()

Deprecated.
Returns the SSL keystore password.

Returns:
  The SSL keystore password.

#### getKeystorePath

    @Deprecated
    public java.lang.String getKeystorePath()

Deprecated.
Returns the SSL keystore path.

Returns:
  The SSL keystore path.

#### getKeystoreType

    @Deprecated
    public java.lang.String getKeystoreType()

Deprecated.
Returns the SSL keystore type.

Returns:
  The SSL keystore type.

#### getSslProtocol

    @Deprecated
    public java.lang.String getSslProtocol()

Deprecated.
Returns the SSL keystore type.

Returns:
  The SSL keystore type.

#### isNeedClientAuthentication

    public boolean isNeedClientAuthentication()

Indicates if we require client certificate authentication.

Returns:
  True if we require client certificate authentication.

#### isWantClientAuthentication

    public boolean isWantClientAuthentication()

Indicates if we would like client certificate authentication.

Returns:
  True if we would like client certificate authentication.

#### getSslContext

    public javax.net.ssl.SSLContext getSslContext()

Gets the SSL context used by this server.

Returns:
  this returns the SSL context.

#### setSslContext

    public void setSslContext(javax.net.ssl.SSLContext sslContext)

Sets the SSL context for the server.

Parameters:
  `sslContext` - the SSL context

#### start

    public void start()
               throws java.lang.Exception

Starts the Restlet.

Overrides:
  `start` in class `SimpleServerHelper`
Throws:
  `java.lang.Exception`